Subject: Re: bug#29078: 25.2; font issue with FreeType 2.8; should not use the rounded ascender and descender

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Nov 2019 19:33:04 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 19 Nov 2019 17:41:18 +0100
> Cc: Robert Pluim <[email-masked]>, Lars Ingebrigtsen <[email-masked]>,
>  [email-masked]
> 
> I tried loading that file up in Emacs on macOS, and from a quick
> glance I get better results with the aligning in Emacs than in
> Firefox.  I don't see any vertical gaps in the box drawing.

You should try different font sizes, sometimes the gaps appear for
specific sizes.

> The only issue I see is that "Mathematics and sciences" is
> horizontally misaligned.  I think the offending characters are ∮, ≪,
> ⟦, ⟧, ⎷ and ⎳.  They are rendered in a different font though, so I
> guess this is expected?  (I also see a vertical gap on one line but
> not the others.)

If that other font is variable-pitch, yes.